---
title: "Setting Live ‘Keywords For Site’ Tasks"
url: "https://docs.dataforseo.com/v3/keywords_data/bing/keywords_for_site/live/"
date: "2026-06-06"
---

## Setting Live ‘Keywords For Site’ Tasks

This endpoint will provide you with a list of keywords relevant to the specified URL along with their search volume for the last month, search volume trend for up to 24 past months (for estimating search volume dynamics), current cost-per-click and competition values for paid search. The maximum number of returned keywords is **3000.**

If your system requires delivering instant results, the Live method is the best solution for you. Unlike the Standard method, this method doesn’t require making separate POST and GET requests to the corresponding endpoints.

If you don’t need to receive data in real-time, you can use [the Standard method](https://docs.dataforseo.com/v3/keywords_data/bing/keywords_for_site/task_post.md) of data retrieval. This method requires making separate POST and GET requests, but it’s more affordable. Using this method you can retrieve the results after our system collects them.

Historical data is available for 24 months.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/keywords\_data/bing/keywords\_for\_site/live     

      

Pricing

  Your account is charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/keywords-data/bing-ads "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute. Visit [DataForSEO Help Center](https://dataforseo.com/help-center/best-practices-for-handling-keywords-data-api-requests) to get practical tips for request handling depending on your Keyword Data API payload volume.

You can get up to 3000 keyword suggestions with all essential keyword data in response to one request. Your account will be charged for each request, no matter what number of keywords you receive in the result, the price for 1 or 3000 keywords will be the same.

Below you will find a detailed description of the fields you can use for setting a task.

**Description of the fields for setting a task:**

| Field name | Type | Description |
|---|---|---|
| `target` | string | *domain or URL*   **required field**   the domain name or URL of the target website |
| `location_name` | string | *full name of search engine location*   **required field if you don’t specify** `location_code` or `location_coordinate`   **if you use this field, you don’t need to specify `location_code` or `location_coordinate`**   you can receive the list of available locations of the search engine with their `location_name` by making a separate request to `https://api.dataforseo.com/v3/keywords_data/bing/locations`   example:   `London,England,United Kingdom` |
| `location_code` | integer | *search engine location code*   **required field if you don’t specify** `location_name` or `location_coordinate`   **if you use this field, you don’t need to specify `location_name` or `location_coordinate`**   you can receive the list of available locations of the search engines with their `location_code` by making a separate request to `https://api.dataforseo.com/v3/keywords_data/bing/locations`   example:   `2840` |
| `location_coordinate` | string | *GPS coordinates of a location*   **required field if you don’t specify** `location_name` or `location_code`   **if you use this field, you don’t need to specify `location_name` or `location_code`**   `location_coordinate` parameter should be specified in the *“latitude,longitude”* format   **the data will be provided for the country the specified coordinates belong to**   example:   `52.6178549,-155.352142` |
| `language_name` | string | *full name of search engine language*   **required field if you don’t specify** `language_code`   if you use this field, you don’t need to specify `language_code`   supported languages:   `English`, `French`, `German` |
| `language_code` | string | *search engine language code*   **required field if you don’t specify** `language_name`   if you use this field, you don’t need to specify `language_name`   supported languages:   `en`, `fr`, `de` |
| `keywords_negative` | array | *keywords negative array*   optional field   These keywords will be ignored in the results array;   You can specify **a maximum of 200 terms** that you want to exclude from the results;   the specified keywords will be converted to lowercase format |
| `device` | string | *device type*   optional field   specify this field if you want to get the data for a particular device typepossible values: `all`, `mobile`, `desktop`, `tablet`   default value: `all` |
| `date_from` | string | *starting date of the time range*   optional field   minimal value: 24 months from today’s date;   if you don’t specify this field, data will be provided for the last 12 months   date format: `"yyyy-mm-dd"`   example:   `"2020-01-01"`**Note:** we do not recommend using a custom time range for the past year’s dates |
| `date_to` | string | *ending date of the time range*   optional field   if you don’t specify this field, data will be provided for the last 12 months;   minimum value: two years back from today’s date;   maximum value: one month from today’s date;   **note:** we do not recommend using a custom time range for the past year’s dates;   date format: `"yyyy-mm-dd"`   example:   `"2020-03-15"`**Note:** we do not recommend using a custom time range for the past year’s dates |
| `sort_by` | string | *results sorting parameters*   optional field   Use these parameters to sort the results by `search_volume`, `cpc`, `competition` or `relevance` in the descending order   default value: `relevance` |
| `search_partners` | boolean | *Bing search partners type*   optional field   if you specify `true`, the results will be delivered for owned, operated, and syndicated networks across Bing, Yahoo, AOL and partner sites that host Bing, AOL, and Yahoo search.   default value: `false` – results are returned for Bing, AOL, and Yahoo search networks |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |



As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total *tasks* cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array that were returned an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `search_partners` | boolean | *indicates whether data from partner networks included in the response* |
| `device` | string | *device type in a POST array*   if there is no data, then the value is `null` |
| `competition` | float | *competition*   represents the relative amount of competition associated with the given keyword in paid SERP only. This value is based on Bing Ads data.   Possible values: `0.1`, `0.5`,`0.9``0.1` – low competition,   `0.5` – medium competition,   `0.9` – high competition;   if there is no data the value is `null` |
| `cpc` | float | *cost-per-click*   represents the average cost per click (USD) historically paid for the keyword.   if there is no data, then the value is `null` |
| `search_volume` | integer | *monthly average search volume rate* represents the (approximate) number of searches for the keyword on the Bing search engine, depending on the user’s targetingsearch volume is rounded to the closest decimal valuesif there is no data, then the value is `null` |
| `categories` | array | *product and service categories*   legacy field, the value will always be `null` |
| `monthly_searches` | array | *monthly searches*   represents the (approximate) number of searches on this keyword (as available for the past twelve months), targeted to the specified geographic locations.   if there is no data, then the value is `null` |
| `year` | integer | *year* |
| `month` | integer | *month* |
| `search_volume` | integer | *monthly average search volume rate*   search volume is rounded to the closest decimal values |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/keywords_data/bing/keywords_for_site/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "target": "dataforseo.com"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// simple way to set a task
$post_array[] = array(
	"location_name" => "United States",
	"language_name" => "English",
	"target" => "dataforseo.com"
);
try {
	// POST /v3/keywords_data/bing/keywords_for_site/live
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/keywords_data/bing/keywords_for_site/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const post_array = [];

post_array.push({
  "location_name": "United States",
  "language_name": "English",
  "target": "dataforseo.com"
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/keywords_data/bing/keywords_for_site/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    location_name="United States",
    language_name="English",
    target="dataforseo.com"
)
# POST /v3/keywords_data/bing/keywords_for_site/live
# the full list of possible parameters is available in documentation
response = client.post("/v3/keywords_data/bing/keywords_for_site/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_keywords_for_site_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                location_name = "United States",
                language_name = "English",
                target = "dataforseo.com"
            });
            // POST /v3/keywords_data/bing/keywords_for_site/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/keywords_data/bing/keywords_for_site/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20200923",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "11.5961 sec.",
  "cost": 0.075,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10201603-1535-0091-0000-f7b1834b7091",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "11.4880 sec.",
      "cost": 0.075,
      "result_count": 2284,
      "path": [
        "v3",
        "keywords_data",
        "bing",
        "keywords_for_site",
        "live"
      ],
      "data": {
        "api": "keywords_data",
        "function": "keywords_for_site",
        "se": "bing",
        "language_code": "en",
        "location_code": 2840,
        "target": "https://dataforseo.com"
      },
      "result": [
        {
          "keyword": "stock markets",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.9,
          "cpc": 0.77,
          "search_volume": 10290,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": 16580
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": 15980
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": 21400
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": 26260
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": 31760
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": 5350
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": 3330
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": 1190
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": 610
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": 400
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": 270
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": 320
            }
          ]
        },
        {
          "keyword": "tracking",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.9,
          "cpc": 0.12,
          "search_volume": 7800,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": 3000
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": 7860
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": 15050
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": 17550
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": 20520
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": 13610
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": 2450
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": 2300
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": 2950
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": 3150
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": 2590
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": 2570
            }
          ]
        },
        {
          "keyword": "marketing",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.9,
          "cpc": 1.9,
          "search_volume": 6190,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": 8420
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": 3690
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": 3140
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": 4970
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": 6240
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": 7560
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": 6750
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": 7750
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": 7960
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": 5510
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": 5720
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": 6520
            }
          ]
        },
        {
          "keyword": "seo",
          "location_code": 2840,
          "language_code": "en",
          "search_partners": false,
          "device": "all",
          "competition": 0.9,
          "cpc": 0.22,
          "search_volume": 5210,
          "categories": null,
          "monthly_searches": [
            {
              "year": 2020,
              "month": 9,
              "search_volume": 2910
            },
            {
              "year": 2020,
              "month": 8,
              "search_volume": 3200
            },
            {
              "year": 2020,
              "month": 7,
              "search_volume": 3140
            },
            {
              "year": 2020,
              "month": 6,
              "search_volume": 5030
            },
            {
              "year": 2020,
              "month": 5,
              "search_volume": 6020
            },
            {
              "year": 2020,
              "month": 4,
              "search_volume": 7360
            },
            {
              "year": 2020,
              "month": 3,
              "search_volume": 7220
            },
            {
              "year": 2020,
              "month": 2,
              "search_volume": 6260
            },
            {
              "year": 2020,
              "month": 1,
              "search_volume": 5220
            },
            {
              "year": 2019,
              "month": 12,
              "search_volume": 5420
            },
            {
              "year": 2019,
              "month": 11,
              "search_volume": 5160
            },
            {
              "year": 2019,
              "month": 10,
              "search_volume": 5590
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp